# class GenObject | An object with just a public virtual destructor More...
Full name | `TelEngine::GenObject`
Definition | `#include <yateclass.h>`
Inherited by | Array, Base64, CallEndpoint, CapturedEvent, Channel, Cipher, Client, ClientAccount, ClientAccountList, ClientChannel, ClientContact, ClientDriver, ClientDriver, ClientLogic, ClientResource, ClientSound, Compressor, Configuration, DataBlock, DataConsumer, DataEndpoint, DataFormat, DataNode, DataSource, DataTranslator, DefaultLogic, DnsRecord, Driver, Driver, DurationUpdate, GenPointer, HashList, Message, MessageDispatcher, MessageHandler, MessagePostHook, MessageReceiver, MessageRelay, MimeAuthLine, MimeBinaryBody, MimeBody, MimeHeaderLine, MimeLinesBody, MimeMultipartBody, MimeSdpBody, MimeStringBody, Module, Module, MucRoom, MucRoomMember, NamedList, NamedPointer, NamedString, NaptrRecord, ObjList, ObjVector, Plugin, RefObject, Regexp, SocketAddr, SocketFilter, SrvRecord, String, ThreadedSource, TranslatorFactory, UIFactory, UIWidget, URI, Window
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- virtual ~GenObject ()
- virtual bool alive () const
- virtual void destruct ()
- virtual const String& toString () const
- virtual void* getObject (const String& name) const

#### Public Static Methods

- static inline void* getObject (const String& name, const GenObject* obj)

## Detailed Description

An object with just a public virtual destructor

~GenObject () | ### ~GenObject

[virtual]

Destructor.

bool alive () | ### alive

[const virtual]

Check if the object is still valid and safe to access. Note that you should not trust this result unless the object is locked by other means.

Returns: True if the object is still useable

void destruct () | ### destruct

[virtual]

Destroys the object, disposes the memory.

const String& toString () | ### toString

[const virtual]

Get a string representation of this object

Returns: A reference to a String representing this object which is either null, the object itself (for objects derived from String) or some form of identification

void* getObject (const String& name) | ### getObject

[const virtual]

Get a pointer to a derived class given that class name

Parameters:

name | Name of the class we are asking for

Returns: Pointer to the requested class or NULL if this object doesn't implement it

inline void* getObject (const String& name, const GenObject* obj) | ### getObject

[static]

Helper method to get the pointer to a derived class

Parameters:

name | Name of the class we are asking for
obj | Pointer to the object to get derived class from

Returns: Pointer to the requested class or NULL if this object doesn't implement it

Generated by: paulc on bussard on Fri Dec 21 16:28:34 2012, using kdoc 2.0a54.